Redmine - Defect #9199

Hide the issues in issue list for those users with role's issues visibility set as "created by or assigned
to"

2011-09-07 05:15 - Jeremy Jiang

Status: Needs feedback Start date: 2011-09-07
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 1.2.0

Description

In Redmine 1.2.0, there are issues visibility setting in "Administration" -> "Roles and permissions" with three options.
All issues

All non private issues

Issues created by or assigned to the user

Assume in a project we create a new role as "External users" and grant this role the issues visibility as "lssues created by or
assigned to the user".

The expected behavior should be like that external users can only view the issues created by themselves or assigned to them no
matter the issue is public or private.

While the fact is that if the issue is created by internal users and not assigned to external users,
If it is public,

it will still be viewed by external users in issue list, just can not view the contents of that issue.
If it is private,

it will not be displayed for external users even in issue list.

It seems that it makes no sense to let external users see the issues in issue list which he/she can not view the contents, even it is a
public issue.

Can it be unified as the second behavior?
Hide those issues "not created by or assigned to" external users in "Issues" tab for them?

Related issues:
Related to Redmine - Defect #9227: User with right "Issues created by or assi... New 2011-09-11

History

#1 - 2011-09-07 08:03 - Etienne Massip

- Category set to Issues permissions

#2 - 2011-09-08 05:29 - Jeremy Jiang

Hi, dear Etienne, | see you have changed the category of this issue.

Do you think it is reasonable? Or, if not (since it may be a minor problem for other people), could you do me the favor to show me how to make such
modification?

| guess it should be related to the code to search database according to user's role. But | am newbie to Ruby.

Thank you in advance.

#3 - 2011-09-08 09:05 - Etienne Massip

I've set a category since you didn't pick one.

BTW, do you have any plugins (please have a look at SubmittingBugs) that could explain this behavior?
#4 - 2020-12-10 06:55 - Go MAEDA

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

| cannot reproduce the issue in the current trunk (r20602). The steps | tried are as follows:
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/projects/redmine/repository/svn/revisions/20602

1. Load test fixtures by running bin/rails db:fixtures:load

2. Set "Developer" role's "Issues visibility" to "Issues created by or assigned to the user"

3. Disable "Display subprojects issues on main projects by default" setting

4. Sign in with the account "dlopper"

5. Open "Issues" tab of a public project "eCookbook" project. The role of the user "dlopper" is "Developer" in the project
6. You will see only two issues that are assigned to "dlopper". Other issues are invisible
